FreeMat

- Main Page
- Related Pages

vtkRemoveHiddenData

Section: Visualization Toolkit Infovis Classes

# Usage

Output only those rows/vertices/edges of the input vtkDataObject that are visible, as defined by the vtkAnnotation::HIDE() flag of the input vtkAnnotationLayers. Inputs: Port 0 - vtkDataObject Port 1 - vtkAnnotationLayers (optional)

To create an instance of class vtkRemoveHiddenData, simply invoke its constructor as follows

      obj = vtkRemoveHiddenData

# Methods

The class vtkRemoveHiddenData has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkRemoveHiddenData class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkRemoveHiddenData = obj.NewInstance ()`
- `vtkRemoveHiddenData = obj.SafeDownCast (vtkObject o)`